* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font-size: 1rem;
}

.container {
  padding: 16px;
  display: flex;
  flex-direction: column;
}

.user-data-container {
  width: 100%;
}

.row {
  width: 100%;
  display: flex;
  flex-grow: 1;
  border: 1px solid #fff;
}

.title {
  background-color: #ddd;
  color: #111;
  width: 40%;
  padding: 4px;
  font-weight: bold;
}

.value {
  background-color: #efefef;
  color: #333;
  flex-grow: 1;
  padding: 4px;
}

.loading {
  color: #aaa;
  font-weight: bold;
  font-size: 1.2rem;
}

.empty-state {
  color: #777;
  font-weight: bold;
  font-size: 1.2rem;
}

.button-wrapper {
  padding: 4px;
}

.button {
  padding: 8px;
}

.error {
  color: #f00;
  font-size: 1.1rem;
  padding: 16px;
}
